## plasma-dialer 6.3.4

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

cmake_minimum_required (VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

project(plasma-dialer VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

# ModemManager, oFono
set(MODEM_SUBSYSTEM "ModemManager" CACHE STRING "Modem subsystem (ModemManager or oFono)")
set_property(CACHE MODEM_SUBSYSTEM PROPERTY STRINGS ModemManager oFono)
if (MODEM_SUBSYSTEM STREQUAL "ModemManager")
    add_definitions(-DMODEM_SUBSYSTEM_MM)
    message(STATUS "Using ModemManager")
elseif(MODEM_SUBSYSTEM STREQUAL "oFono")
    add_definitions(-DMODEM_SUBSYSTEM_OFONO)
    message(STATUS "Using oFono")
endif()

option(DIALER_BUILD_SHELL_OVERLAY "Enable building of Dialer lockscreen functionality" ON)
if (DIALER_BUILD_SHELL_OVERLAY)
    add_definitions(-DDIALER_BUILD_SHELL_OVERLAY)
endif() # DIALER_BUILD_SHELL_OVERLAY

find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMConfiguredInstall)
include(ECMFindQmlModule)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMADIALER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(KF6I18n NO_MODULE)
ki18n_install(po)

#set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")

add_subdirectory(kde-telephony-meta)

set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")
set(DBUS_INTERFACES_PATH "${SHARED_DBUS_XML_DIR}")
message("Using D-Bus interface descriptions from: ${DBUS_INTERFACES_PATH}")

add_subdirectory(modem-daemon)
add_subdirectory(kde-telephony-daemon)
add_subdirectory(kde-telephony-plugin-declarative)
add_subdirectory(plasma-dialer)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## plasma-dialer 6.2.4

=== debian/changelog ===
plasma-dialer (1:6.2.4-1) unstable; urgency=medium

  * Update remote tarball location in d/watch
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages
  * Update d/rules for building based on KF6 instead of KF5
  * Update d/control after upstream CMakeLists.txt (Closes: #1079476)
  * Standards-Version 4.7.0 (no changes needed)
  * Update d/copyright after upstream changes
  * Update lintian-overrides because upstream has changed executable's name

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 29 Nov 2024 21:04:09 +0100

plasma-dialer (23.01.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release
  * Drop upstreamed patches
  * Refresh Build-Deps according to upstream CMakeLists.txt

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 11 Feb 2023 21:52:49 +0100

plasma-dialer (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023285

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 24 Jan 2023 21:44:57 +0100

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.5.0~),
               libkf6contacts-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6people-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libphonenumber-dev,
               libwayland-dev,
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               pkgconf,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         callaudiod,
         kwin-wayland (>= 4:6.0~),
         qml6-module-org-kde-people,
         qml6-module-qtquick-localstorage,
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.2.90

=== debian/changelog ===
plasma-dialer (1:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Tighten inter-Plasma package dependencies.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:29:18 +0000

plasma-dialer (1:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:03:08 +0000

plasma-dialer (1:6.2.4-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Dec 2024 10:09:31 +0000

## plasma-dialer 6.3.4

=== debian/changelog ===
plasma-dialer (1:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:24 +0100

plasma-dialer (1:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:22:44 +0000

plasma-dialer (1:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:17:31 +0000

plasma-dialer (1:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:24:39 +0000

plasma-dialer (1:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:56:39 +0000

plasma-dialer (1:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:43:19 +0000

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.10.0~),
               libkf6contacts-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6people-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         callaudiod,
         kwin-wayland (>= 4:6.2.90~),
         qml6-module-org-kde-people,
         qml6-module-qtquick-localstorage,
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.3.5")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== debian/changelog ===
plasma-dialer (1:6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Fix: do not track same voicecall object multiple times.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

plasma-dialer (1:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.

  [ Aurélien COUDERC ]
  * Use dh-sequence-qmldeps to correctly inject runtime QML
    dependencies.
  * Adopt the package under the Qt/KDE Team’s umbrella.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 23:12:51 +0200

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.5.0~),
               libkf6contacts-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6people-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod,
         kwin-wayland (>= 4:6.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.4.3

=== debian/changelog ===
plasma-dialer (1:6.4.3-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 15:14:47 +0000

plasma-dialer (1:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:18:07 +0000

plasma-dialer (1:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:48:54 +0000

plasma-dialer (1:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:59:04 +0000

plasma-dialer (1:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:05:29 +1000

plasma-dialer (1:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:07:44 +0000

plasma-dialer (1:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:21:21 +0000

plasma-dialer (1:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:17:35 +0000

plasma-dialer (1:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 08 Mar 2025 22:52:26 +1000

plasma-dialer (1:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 16:41:43 +1000

plasma-dialer (1:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:23:32 +1000

plasma-dialer (1:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 10:47:57 +1000

plasma-dialer (6.2.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 10:47:37 +1000

plasma-dialer (1:6.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 24 Apr 2022 11:46:26 +0000

plasma-dialer (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Feb 2022 10:58:37 +0000

plasma-dialer (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Dec 2021 11:46:06 +0000

plasma-dialer (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 10:19:55 +0000

plasma-dialer (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 11:46:05 +0000

plasma-dialer (21.06-0neon) focal; urgency=medium

  [ Jonah Brüchert ]
  * Initial packaging

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:40 +0000

## plasma-dialer 6.4.4

=== debian/changelog ===
plasma-dialer (1:6.4.4-0zneon+24.04+noble+release+build43) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 14:57:50 +0000

plasma-dialer (1:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:28:13 +0000

## plasma-dialer 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.5")
+set(PROJECT_VERSION "6.4.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.5")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== kde-telephony-meta/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# kde-telephony-meta

add_subdirectory(dbus-xmls)
add_subdirectory(meta-types)

=== kde-telephony-plugin-declarative/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# kde-telephony-plugin-declarative

add_subdirectory(src)

=== kde-telephony-daemon/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

find_package(Qt6Test REQUIRED)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Test Sql)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS People)

ecm_add_test(TEST_NAME contactmappertest contact-mapper-test.cpp fake-contact-source.cpp LINK_LIBRARIES Qt::Test Qt::Sql KF6::PeopleBackend contactphonenumbermapper)

=== debian/changelog ===
plasma-dialer (1:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:16 +0100

plasma-dialer (1:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:19 +0100

plasma-dialer (1:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:17 +0100

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6modemmanagerqt-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6people-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               qt6-wayland-dev-tools (>= 6.8.0~),
               qt6-wayland-private-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         callaudiod,
         kwin-wayland (>= 4:6.2.90~),
         qml6-module-org-kde-people,
         qml6-module-qtquick-localstorage,
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.4.5+p24.04+vstable+git20251003.1108

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251003.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:08:10 +0000

plasma-dialer (1:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:45:30 +0000

## plasma-dialer 6.4.5+p24.04+vstable+git20251004.0529

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251004.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:29:14 +0000

## plasma-dialer 6.4.5+p24.04+vstable+git20251015.1645

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251015.1645-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:45:15 +0000

## plasma-dialer 6.4.5+p24.04+vstable+git20251019.0554

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251019.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:55:00 +0000

## plasma-dialer 6.4.91

=== debian/changelog ===
plasma-dialer (1:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:29:51 +0200

## plasma-dialer 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== modem-daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# modem-daemon

add_subdirectory(src)

=== plasma-dialer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# plasma-dialer

add_subdirectory(src)

configure_file(org.kde.plasma.dialer.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.dialer.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.dialer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES dialer.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
install(FILES org.kde.plasma.dialer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# for Qt Creator IDE:
set(DEPLOY_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.plasma.dialer.desktop.in
    ${CMAKE_CURRENT_SOURCE_DIR}/dialer.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.plasma.dialer.appdata.xml
)
add_custom_target(deploy-files SOURCES ${DEPLOY_FILES})

=== kde-telephony-meta/dbus-xmls/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(SHARED_DBUS_XML_DIR
    ${CMAKE_CURRENT_SOURCE_DIR}/manual
    CACHE INTERNAL ""
    )

set(DBUS_XML_FILES ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.CallHistoryDatabase.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.ContactUtils.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.DeviceUtils.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.DialerUtils.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.CallUtils.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.UssdUtils.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/manual/org.kde.telephony.VoiceMailUtils.xml
)

# install DBus interface xml to dbus interface directory
install(FILES ${DBUS_XML_FILES} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

# for Qt Creator IDE:
add_custom_target(dbus-xml-files SOURCES ${DBUS_XML_FILES})

=== kde-telephony-meta/meta-types/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(metatypes_SRCS
    include/kTelephonyMetaTypes/dialer-types.h
    )

add_library(ktelephonymetatypes STATIC ${metatypes_SRCS})
set_target_properties(ktelephonymetatypes PROPERTIES POSITION_INDEPENDENT_CODE ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus)

include_directories(${QtCore_INCLUDE_DIRS})
include_directories(${QtDBus_INCLUDE_DIRS})

target_include_directories(ktelephonymetatypes PUBLIC include)
target_link_libraries(ktelephonymetatypes PRIVATE
    Qt::Core
    Qt::DBus
    )

file(GLOB HEADERS_TO_MOC include/*.h)

qt_wrap_cpp(PROCESSED_MOCS
    ${HEADERS_TO_MOC}
    TARGET ktelephonymetatypes
    OPTIONS --no-notes)

target_sources(ktelephonymetatypes PRIVATE ${PROCESSED_MOCS})

install(FILES ${metatypes_SRCS} DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/kTelephonyMetaTypes")
install(TARGETS ktelephonymetatypes DESTINATION "${KDE_INSTALL_LIBDIR}")
# TODO: install KF6 cmake files

=== kde-telephony-plugin-declarative/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(PLUGIN_SRCS
    ktelephonyplugindeclarative.cpp
    call-model.cpp
    active-call-model.cpp
    call-history-model.cpp
    declarative-device-utils.cpp
    declarative-ussd-utils.cpp
    declarative-call-utils.cpp
    declarative-dialer-utils.cpp
    declarative-contact-utils.cpp
    )

set_source_files_properties(
    # calls-daemon
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    # kde-telephony-daemon
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    PROPERTIES
    INCLUDE "kTelephonyMetaTypes/dialer-types.h"
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml Sql DBus)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n DBusAddons Contacts People)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

# calls-daemon

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    deviceutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.VoiceMailUtils.xml"
    voicemailutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    ussdutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    callhistorydatabaseinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    callutilsinterface)

# kde-telephony-daemon

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    dialerutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    contactutilsinterface)

add_library(KTelephonyPluginDeclarative SHARED
    # For IDE's project tree
    qmldir
    ${PLUGIN_SRCS}
    )

target_link_libraries(KTelephonyPluginDeclarative
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::Sql
    Qt::DBus
    KF6::CoreAddons
    KF6::I18n
    KF6::DBusAddons
    KF6::Contacts
    KF6::People
    KF6::PeopleBackend
    ktelephonymetatypes # TODO: KF6 cmake files
    )

install(TARGETS KTelephonyPluginDeclarative DESTINATION "${KDE_INSTALL_QMLDIR}/org/kde/telephony")
install(FILES qmldir DESTINATION "${KDE_INSTALL_QMLDIR}/org/kde/telephony")

=== modem-daemon/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

include(ECMPoQmTools)
ecm_install_po_files_as_qm(po)

ecm_create_qm_loader(modem-daemon_QM_LOADER modem-daemon_qt)

set(MODEM_SUBSYSTEM_SRCS "")
if (${MODEM_SUBSYSTEM} STREQUAL "ModemManager")
    set(MODEM_SUBSYSTEM_SRCS mm-modem-controller.cpp)
elseif(${MODEM_SUBSYSTEM} STREQUAL "oFono")
    message(STATUS "oFono support is not implemented yet")
endif()

set(modemd_SRCS
    main.cpp
    call-utils.cpp
    call-object.cpp
    call-manager.cpp
    ussd-utils.cpp
    ussd-manager.cpp
    device-utils.cpp
    device-manager.cpp
    modem-controller.cpp
    ${MODEM_SUBSYSTEM_SRCS}
    ${modem-daemon_QM_LOADER}
    )

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui DBus)
if (${MODEM_SUBSYSTEM} STREQUAL "ModemManager")
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS ModemManagerQt)
elseif(${MODEM_SUBSYSTEM} STREQUAL "oFono")
    message(STATUS "oFono support is not implemented yet")
endif()
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    device-utils.h DeviceUtils)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    ussd-utils.h UssdUtils)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    call-utils.h CallUtils)

add_executable(modem-daemon
    ${modemd_SRCS}
    )

target_include_directories(modem-daemon PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(modem-daemon
    Qt::Core
    Qt::DBus
    PhoneNumber::PhoneNumber
    ktelephonymetatypes # FIXME: KF6 cmake files
    )

if (${MODEM_SUBSYSTEM} STREQUAL "ModemManager")
    target_link_libraries(modem-daemon KF6::ModemManagerQt)
elseif(${MODEM_SUBSYSTEM} STREQUAL "oFono")
    message(STATUS "oFono support is not implemented yet")
endif()

configure_file(daemon-autostart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop)

set(SERV_EXEC ${KDE_INSTALL_FULL_LIBEXECDIR}/modem-daemon)
configure_file(org.kde.modemdaemon.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.modemdaemon.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.modemdaemon.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

install(TARGETS modem-daemon DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} RENAME org.kde.modem.daemon.desktop)

=== debian/changelog ===
plasma-dialer (1:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6 --without build_stamp

## plasma-dialer 6.5.0+p24.04+vstable+git20251021.0928

=== debian/changelog ===
plasma-dialer (1:6.5.0+p24.04+vstable+git20251021.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:28:40 +0000

plasma-dialer (1:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:30 +0000

=== debian/control ===
Source: plasma-dialer
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kwindowsystem-dev,
               kf6-modemmanager-qt-dev,
               kwin-addons,
               kwin-dev,
               libcallaudio-dev,
               libfreetype-dev,
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               reuse
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-dialer.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-dialer
Maintainer: Neon CI <neon@kde.org>

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dialer application with call history and contacts
 Plasma Dialer is the default dialer app for the Plasma Mobile shell.

## plasma-dialer 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== kde-telephony-daemon/contactphonenumbermapper/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2022 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Contacts People)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

add_library(contactphonenumbermapper STATIC phone-number-utils.cpp contact-phone-number-mapper.cpp)
target_compile_definitions(contactphonenumbermapper PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(contactphonenumbermapper PUBLIC
    Qt::Core
    KF6::Contacts
    KF6::People
    KF6::PeopleBackend
    PhoneNumber::PhoneNumber
)
target_include_directories(contactphonenumbermapper PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== kde-telephony-daemon/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(ktelephonyd_SRCS
    main.cpp
    dialer-utils.cpp
    contact-utils.cpp
    dialer-manager.cpp
    notification-manager.cpp
    call-history-database.cpp
    call-history-manager.cpp
    )

set_source_files_properties(
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    PROPERTIES
    INCLUDE "kTelephonyMetaTypes/dialer-types.h"
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Sql)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config I18n Notifications KIO)
find_package(KTactileFeedback OPTIONAL_COMPONENTS KTactileFeedback)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    deviceutilsinterface)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    callutilsinterface)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    callhistorydatabaseinterface)

qt_add_dbus_adaptor(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    contact-utils.h ContactUtils)

qt_add_dbus_adaptor(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    dialer-utils.h DialerUtils)

qt_add_dbus_adaptor(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    call-history-database.h CallHistoryDatabase)

add_executable(kde-telephony-daemon
    ${ktelephonyd_SRCS}
    )

target_include_directories(kde-telephony-daemon PRIVATE ${CMAKE_BINARY_DIR})

qt_add_dbus_interface(mpris_srcs "${DBUS_INTERFACES_PATH}/org.mpris.MediaPlayer2.Player.xml" mprisplayerinterface)
target_sources(kde-telephony-daemon PRIVATE ${mpris_srcs})

find_package(PkgConfig QUIET)
pkg_check_modules(LIBCALLAUDIO libcallaudio-0.1 REQUIRED IMPORTED_TARGET)

# https://build.opensuse.org/package/show/network:telephony/callaudiod#comment-1675259
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.1")
    message(ERROR "libcallaudiod version 0.1.1 is not supported")
endif()
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.2")
    message(ERROR "libcallaudiod version 0.1.2 is not supported")
endif()
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.3")
    message(WARNING "libcallaudiod version 0.1.3 is found, while 0.1.4 is expected." "\n"
        "This is a known issue in case of CI build, the workaround is skipping callaudiod logic for the build:" "\n"
        "https://build.opensuse.org/package/show/network:telephony/callaudiod#comment-1675259")
    target_compile_definitions(kde-telephony-daemon PUBLIC LOWER_LIBCALLAUDIO_VERSION)
endif()


target_link_libraries(kde-telephony-daemon
    KF6::ConfigGui
    Qt::Core
    Qt::DBus
    Qt::Sql
    KF6::I18n
    KF6::KIOGui
    KF6::Notifications
    PkgConfig::LIBCALLAUDIO
    ktelephonymetatypes # FIXME: KF6 cmake files
    contactphonenumbermapper
    )

if (KTactileFeedback_FOUND)
    target_link_libraries(kde-telephony-daemon KTactileFeedback::KTactileFeedback)
    target_compile_definitions(kde-telephony-daemon PUBLIC HAVE_K_TACTILE_FEEDBACK)
else()
    message(WARNING "KTactileFeedback dependency is not found. It's expected since project's status is work in progress.")
endif()

configure_file(daemon-autostart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop)

set(SERV_EXEC ${KDE_INSTALL_FULL_LIBEXECDIR}/kde-telephony-daemon)
configure_file(org.kde.telephony.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.telephony.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.telephony.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

kconfig_add_kcfg_files(kde-telephony-daemon ../../plasma-dialer/src/config.kcfgc GENERATE_MOC)
install(TARGETS kde-telephony-daemon DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} RENAME org.kde.telephony.daemon.desktop)

=== debian/changelog ===
plasma-dialer (1:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:12:16 +0100

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.5.0~),
               libkf6contacts-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6people-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod,
         kwin-wayland (>= 4:6.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.5.1+p24.04+vstable+git20251029.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})

=== debian/changelog ===
plasma-dialer (1:6.5.1+p24.04+vstable+git20251029.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:37:12 +0000

plasma-dialer (1:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:09:33 +0000

## plasma-dialer 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== kde-telephony-daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# kde-telephony-daemon

add_subdirectory(contactphonenumbermapper)
add_subdirectory(src)

include(ECMAddTests)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
plasma-dialer (1:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:26 +0100

## plasma-dialer 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== debian/changelog ===
plasma-dialer (1:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:43 +0100
